include(FetchContent)

if(NOT DEFINED EASTL_REPO)
    set(EASTL_REPO https://github.com/electronicarts/EASTL)
endif ()

FetchContent_Declare(
        eastl
        EXCLUDE_FROM_ALL
        GIT_REPOSITORY ${EASTL_REPO}
        GIT_TAG 3.21.23
        GIT_SHALLOW TRUE
)
FetchContent_MakeAvailable(eastl)
